org.encog.util.normalize.segregate.index

## Class IndexRangeSegregator

- java.lang.Object
- - org.encog.util.normalize.segregate.index.IndexSegregator
  - - org.encog.util.normalize.segregate.index.IndexRangeSegregator

- All Implemented Interfaces:
    Serializable, Segregator

      public class IndexRangeSegregator
      extends IndexSegregator

  An index segregator is used to segregate the data according to its index. Nothing about the data is actually compared. This makes the index range segregator very useful for breaking the data into training and validation sets. For example, you could very easily determine that 70% of the data is for training, and 30% for validation. This segregator takes a starting and ending index. Everything that is between these two indexes will be used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexRangeSegregator()` Default constructor for reflection.
    `IndexRangeSegregator(int startingIndex, int endingIndex)` Construct an index range segregator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEndingIndex()`
    `int` | `getStartingIndex()`
    `boolean` | `shouldInclude()` Determines if the current row should be included.

    - ### Methods inherited from class org.encog.util.normalize.segregate.index.IndexSegregator

      `getCurrentIndex, getNormalization, init, passInit, rollIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexRangeSegregator

          public IndexRangeSegregator()

      Default constructor for reflection.

    - #### IndexRangeSegregator

          public IndexRangeSegregator(int startingIndex,
                              int endingIndex)

      Construct an index range segregator.
      Parameters:
        `startingIndex` - The starting index to allow.
        `endingIndex` - The ending index to allow.

  - ### Method Detail

    - #### getEndingIndex

          public int getEndingIndex()

      Returns:
        The ending index.

    - #### getStartingIndex

          public int getStartingIndex()

      Returns:
        The starting index.

    - #### shouldInclude

          public boolean shouldInclude()

      Determines if the current row should be included.
      Returns:
        True if the current row should be included.

Copyright © 2014. All Rights Reserved.